Database Restore Required

4/26/2018 932 Contributors

The current version of the database is for a later version of the database and is not compatible with this version.  This is typically caused by installing a later version (such as a public beta) and then uninstalling and re-installing an earlier version.  The possible solutions are:

  1. Upgrade to the version required by the database (or later). 
  2. Automatic restore to a backup.
    Each new version of the application creates a backup file before making changes.  If there is a suitable backup file you will be prompted to restore to the most recent version.  Make sure that no other files are accessing the database during the restore.  
  3. Manual restore to a backup.
    You can manually restore a backup.  See below for information on restoring your application's database.
  4. Delete the database and start over.  See below for information on where the database files are located for your application.
Database files and backup information